LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
DatabaseObject.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::sdb
| Basic interfaces for database access.
module | com::sun::star::sdb::application
| application UI.

## Constant Groups
constants | com::sun::star::sdb::application::DatabaseObject
| denotes different objects within a database document

## Variables
const long | TABLE = com::sun::star::sdb::CommandType::TABLE
| denotes a table in a database
const long | QUERY = com::sun::star::sdb::CommandType::QUERY
| denotes a query in a database document
const long | FORM = 2
| denotes a form in a database document
const long | REPORT = 3
| denotes a report in a database document